org.modeshape.connector.meta.jdbc

## Class DBMetadata

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.DBMetadata

-     @Immutable
      public class DBMetadata
      extends Object

  Container for database metadata. The fields in this class contain information obtained via the `java.sql.DatabaseMetaData#getDatabase` methods.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DBMetadata(String databaseProductName, String databaseProductVersion, int databaseMajorVersion, int databaseMinorVersion)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDatabaseMajorVersion()`
    `int` | `getDatabaseMinorVersion()`
    `String` | `getDatabaseProductName()`
    `String` | `getDatabaseProductVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBMetadata

          protected DBMetadata(String databaseProductName,
                    String databaseProductVersion,
                    int databaseMajorVersion,
                    int databaseMinorVersion)

  - ### Method Detail

    - #### getDatabaseProductName

          public String getDatabaseProductName()

      Returns:
        the result of the `DatabaseMetaData.getDatabaseProductName()`.

    - #### getDatabaseProductVersion

          public String getDatabaseProductVersion()

      Returns:
        the result of the `DatabaseMetaData.getDatabaseProductVersion()`.

    - #### getDatabaseMajorVersion

          public int getDatabaseMajorVersion()

      Returns:
        the result of the `DatabaseMetaData.getDatabaseMajorVersion()`.

    - #### getDatabaseMinorVersion

          public int getDatabaseMinorVersion()

      Returns:
        the result of the `DatabaseMetaData.getDatabaseMinorVersion()`.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.